<?php
/**
* @package plugin GiMeSpace BootStrap 3 loader
* @version 3.3.5
* @copyright Copyright (C) 2015 GiMeSpace. All rights reserved.
* @license http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
* @author http://www.gimespace.com
*/

defined('_JEXEC') or die;

class PlgSystemGmsBS3Loader extends JPlugin
{	

public function onAfterRender()
	{
	$app = JFactory::getApplication();
	if ($app->isAdmin())
	{
	    return true;
	}
	$html = JResponse::getBody();
  
  $regex = '/< *link[^>]*\/bootstrap[^"]*css[^>]*>/im'; 
  $html = preg_replace($regex,' ',$html);
  $regex = '/< *script[^>]*\/bootstrap[^"]*js[^>]*>[^<]*< *\/ *script *>/im'; 
  $html = preg_replace($regex,' ',$html);

  if($this->params->get('gmschange') == 1)
  {
  $regex = '/< *head *>/im';
  if (JString::strpos($html, '"X-UA-Compatible"') === false)
  {
  $replacestr = '<head>
  <meta http-equiv="content-type" content="text/html; charset=utf-8"/>
  <meta name="X-UA-Compatible" content="IE=edge,chrome=1"/>
  <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.5/css/bootstrap.min.css">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.5/css/bootstrap-theme.min.css">';
  }
  else
  {
  $replacestr = '<head>
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.5/css/bootstrap.min.css">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.5/css/bootstrap-theme.min.css">';
  }
  }
  else
  {
  $regex = '/< *head *>/im';
  if (JString::strpos($html, '"X-UA-Compatible"') === false)
  {
  $replacestr = '<head>
  <meta http-equiv="content-type" content="text/html; charset=utf-8"/>
  <meta name="X-UA-Compatible" content="IE=edge,chrome=1"/>
  <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.5/css/bootstrap.min.css">';
  }
  else
  {
  $replacestr = '<head>
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.5/css/bootstrap.min.css">';
  }
  }
  
  preg_match($regex, $html, $regs, PREG_OFFSET_CAPTURE);
  $html = substr_replace($html, $replacestr, $regs[0][1], strlen($regs[0][0]));
  
  $regex = '/< *\/ *body *>/im';
  if (JString::strpos($html, '/jquery') === false)
  {
  $replacestr = '<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.3/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.5/js/bootstrap.min.js"></script>
  </body>';
  }
  else
  {
  $replacestr = '<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.5/js/bootstrap.min.js"></script>
  </body>';
  }
  
  preg_match($regex, $html, $regs, PREG_OFFSET_CAPTURE);
  $html = substr_replace($html, $replacestr, $regs[0][1], strlen($regs[0][0]));
  
  $regex = '/(<[^>]*class *= *"[^"])span1([^>]*>)/im'; 
  $html = preg_replace($regex,'$1col-sm-1$2',$html);
  $regex = '/(<[^>]*class *= *"[^"])span2([^>]*>)/im'; 
  $html = preg_replace($regex,'$1col-sm-2$2',$html);
  $regex = '/(<[^>]*class *= *"[^"])span3([^>]*>)/im'; 
  $html = preg_replace($regex,'$1col-sm-3$2',$html);
  $regex = '/(<[^>]*class *= *"[^"])span4([^>]*>)/im'; 
  $html = preg_replace($regex,'$1col-sm-4$2',$html);
  $regex = '/(<[^>]*class *= *"[^"])span5([^>]*>)/im'; 
  $html = preg_replace($regex,'$1col-sm-5$2',$html);
  $regex = '/(<[^>]*class *= *"[^"])span6([^>]*>)/im'; 
  $html = preg_replace($regex,'$1col-sm-6$2',$html);
  $regex = '/(<[^>]*class *= *"[^"])span7([^>]*>)/im'; 
  $html = preg_replace($regex,'$1col-sm-7$2',$html);
  $regex = '/(<[^>]*class *= *"[^"])span8([^>]*>)/im'; 
  $html = preg_replace($regex,'$1col-sm-8$2',$html);
  $regex = '/(<[^>]*class *= *"[^"])span9([^>]*>)/im'; 
  $html = preg_replace($regex,'$1col-sm-9$2',$html);
  $regex = '/(<[^>]*class *= *"[^"])offset1([^>]*>)/im'; 
  $html = preg_replace($regex,'$1col-offset-1$2',$html);
  $regex = '/(<[^>]*class *= *"[^"])offset2([^>]*>)/im'; 
  $html = preg_replace($regex,'$1col-offset-2$2',$html);
  $regex = '/(<[^>]*class *= *"[^"])offset3([^>]*>)/im'; 
  $html = preg_replace($regex,'$1col-offset-3$2',$html);
  $regex = '/(<[^>]*class *= *"[^"])offset4([^>]*>)/im'; 
  $html = preg_replace($regex,'$1col-offset-4$2',$html);
  $regex = '/(<[^>]*class *= *"[^"])offset5([^>]*>)/im'; 
  $html = preg_replace($regex,'$1col-offset-5$2',$html);
  $regex = '/(<[^>]*class *= *"[^"])offset6([^>]*>)/im'; 
  $html = preg_replace($regex,'$1col-offset-6$2',$html);
  $regex = '/(<[^>]*class *= *"[^"])offset7([^>]*>)/im'; 
  $html = preg_replace($regex,'$1col-offset-7$2',$html);
  $regex = '/(<[^>]*class *= *"[^"])offset8([^>]*>)/im'; 
  $html = preg_replace($regex,'$1col-offset-8$2',$html);
  $regex = '/(<[^>]*class *= *"[^"])offset9([^>]*>)/im'; 
  $html = preg_replace($regex,'$1col-offset-9$2',$html);
  $regex = '/(<[^>]*class *= *"[^"])row-fluid([^>]*>)/im'; 
  $html = preg_replace($regex,'$1row$2',$html);
  $regex = '/(<[^>]*class *= *"[^"])container-fluid([^>]*>)/im'; 
  $html = preg_replace($regex,'$1container$2',$html);
  $regex = '/(<[^>]*class *= *"[^"])hero-unit([^>]*>)/im'; 
  $html = preg_replace($regex,'$1jumbotron$2',$html);
  $regex = '/(<[^>]*class *= *"[^"])img-polaroid([^>]*>)/im'; 
  $html = preg_replace($regex,'$1img-thumbnail$2',$html);
    
  $regex = '/(<[^>]*)form-search([^>]*>)/im'; 
  $html = preg_replace($regex,'$1form-inline$2',$html);
  $regex = '/(<[^>]*)help-inline([^>]*>)/im'; 
  $html = preg_replace($regex,'$1help-block$2',$html);


  $regex = '/(<[^>]*class *= *"[^"])control-group([^>]*>)/im'; 
  $html = preg_replace($regex,'$1form-group$2',$html);
  $regex = '/(<[^>]*class *= *"[^"])navbar-search([^>]*>)/im'; 
  $html = preg_replace($regex,'$1navbar-form$2',$html);
  $regex = '/(<[^>]*class *= *"[^"])navbar-inner([^>]*>)/im'; 
  $html = preg_replace($regex,'$1container$2',$html);
  $regex = '/(<[^>]*class *= *"[^"])navbar nav([^>]*>)/im'; 
  $html = preg_replace($regex,'$1navbar-nav$2',$html);
  $regex = '/(<[^>]*class *= *"[^"])brand([^>]*>)/im'; 
  $html = preg_replace($regex,'$1navbar-brand$2',$html);
  $regex = '/(<[^>]*class *= *"[^"])navbar pull-left([^>]*>)/im'; 
  $html = preg_replace($regex,'$1navbar-left$2',$html);
  $regex = '/(<[^>]*class *= *"[^"])navbar pull-right([^>]*>)/im'; 
  $html = preg_replace($regex,'$1navbar-right$2',$html);
  $regex = '/(<[^>]*class *= *"[^"])nav-collapse([^>]*>)/im'; 
  $html = preg_replace($regex,'$1navbar-collapse$2',$html);
  $regex = '/(<[^>]*class *= *"[^"])btn-inverse([^>]*>)/im'; 
  $html = preg_replace($regex,'$1btn-default$2',$html);
  $regex = '/(<[^>]*class *= *"[^"])nav-toggle([^>]*>)/im'; 
  $html = preg_replace($regex,'$1navbar-toggle$2',$html);
  $regex = '/(<[^>]*class *= *"[^"])btn-navbar([^>]*>)/im'; 
  $html = preg_replace($regex,'$1navbar-btn$2',$html);
  $regex = '/(<[^>]*class *= *"[^"])icon-([^>]*>)/im'; 
  $html = preg_replace($regex,'$1glyphicon glyphicon-$2',$html);
  $regex = '/(<[^>]*class *= *")btn"([^>]*>)/im'; 
  $html = preg_replace($regex,'$1btn btn-default"$2',$html);
  $regex = '/(<[^>]*class *= *"[^"])btn-mini([^>]*>)/im'; 
  $html = preg_replace($regex,'$1btn-xs$2',$html);
  $regex = '/(<[^>]*class *= *"[^"])btn-small([^>]*>)/im'; 
  $html = preg_replace($regex,'$1btn-sm$2',$html);
  $regex = '/(<[^>]*class *= *"[^"])btn-large([^>]*>)/im'; 
  $html = preg_replace($regex,'$1btn-lg$2',$html);
  $regex = '/(<[^>]*class *= *"[^"])alert-error([^>]*>)/im'; 
  $html = preg_replace($regex,'$1alert-danger$2',$html);
  $regex = '/(<[^>]*class *= *"[^"])visible-phone([^>]*>)/im'; 
  $html = preg_replace($regex,'$1visible-xs$2',$html);
  $regex = '/(<[^>]*class *= *"[^"])visible-tablet([^>]*>)/im'; 
  $html = preg_replace($regex,'$1visible-sm$2',$html);
  $regex = '/(<[^>]*class *= *"[^"])visible-desktop([^>]*>)/im'; 
  $html = preg_replace($regex,'$1visible-lg$2',$html);
  $regex = '/(<[^>]*class *= *"[^"])hidden-phone([^>]*>)/im'; 
  $html = preg_replace($regex,'$1hidden-xs$2',$html);
  $regex = '/(<[^>]*class *= *"[^"])hidden-tablet([^>]*>)/im'; 
  $html = preg_replace($regex,'$1hidden-sm$2',$html);
  $regex = '/(<[^>]*class *= *"[^"])hidden-desktop([^>]*>)/im'; 
  $html = preg_replace($regex,'$1hidden-lg$2',$html);
  $regex = '/(<[^>]*class *= *"[^"])input-block-level([^>]*>)/im'; 
  $html = preg_replace($regex,'$1form-control$2',$html);
  $regex = '/(<[^>]*class *= *"[^"])control-group([^>]*>)/im'; 
  $html = preg_replace($regex,'$1form-group$2',$html);
  $regex = '/(<[^>]*class *= *"[^"])form-group warning([^>]*>)/im'; 
  $html = preg_replace($regex,'$1form-group has-warning$2',$html);
  $regex = '/(<[^>]*class *= *"[^"])form-group error([^>]*>)/im'; 
  $html = preg_replace($regex,'$1form-group has-error$2',$html);
  $regex = '/(<[^>]*class *= *"[^"])form-group success([^>]*>)/im'; 
  $html = preg_replace($regex,'$1form-group has-success$2',$html);
  $regex = '/(<[^>]*class *= *"[^"])checkbox.inline([^>]*>)/im'; 
  $html = preg_replace($regex,'$1checkbox-inline$2',$html);
  $regex = '/(<[^>]*class *= *"[^"])radio.inline([^>]*>)/im'; 
  $html = preg_replace($regex,'$1radio-inline$2',$html);
  $regex = '/(<[^>]*class *= *"[^"])input-prepend([^>]*>)/im'; 
  $html = preg_replace($regex,'$1input-group$2',$html);
  $regex = '/(<[^>]*class *= *"[^"])input-append([^>]*>)/im'; 
  $html = preg_replace($regex,'$1input-group$2',$html);
  $regex = '/(<[^>]*class *= *"[^"])add-on([^>]*>)/im'; 
  $html = preg_replace($regex,'$1input-group-addon$2',$html);
  $regex = '/(<ul[^>]*class *= *"[^"])unstyled([^>]*>)/im'; 
  $html = preg_replace($regex,'$1list-unstyled$2',$html);
  $regex = '/(<ul[^>]*class *= *"[^"])inline([^>]*>)/im'; 
  $html = preg_replace($regex,'$1list-inline$2',$html);
  $regex = '/(<[^>]*class *= *")muted("[^>]*>)/im'; 
  $html = preg_replace($regex,'$1text-muted$2',$html);
  $regex = '/(<[^>]*class *= *")label("[^>]*>)/im'; 
  $html = preg_replace($regex,'$1label label-default$2',$html);

  $regex = '/(<[^>]*class *= *"[^"])label-important([^>]*>)/im'; 
  $html = preg_replace($regex,'$1label-danger$2',$html);
  $regex = '/(<[^>]*class *= *"[^"])text-error([^>]*>)/im'; 
  $html = preg_replace($regex,'$1text-danger$2',$html);
  $regex = '/(<[^>]*class *= *"[^"])table error([^>]*>)/im'; 
  $html = preg_replace($regex,'$1table danger$2',$html);
  $regex = '/(<[^>]*class *= *")bar("[^>]*>)/im'; 
  $html = preg_replace($regex,'$1progress-bar$2',$html);
  $regex = '/(<[^>]*class *= *"[^"])bar-([^>]*>)/im'; 
  $html = preg_replace($regex,'$1progress-bar-$2',$html);
  $regex = '/(<[^>]*class *= *"[^"])accordion-group([^>]*>)/im'; 
  $html = preg_replace($regex,'$1panel panel-default$2',$html);
  $regex = '/(<[^>]*class *= *"[^"])accordion-heading([^>]*>)/im'; 
  $html = preg_replace($regex,'$1panel-heading$2',$html);
  $regex = '/(<[^>]*class *= *"[^"])accordion-body([^>]*>)/im'; 
  $html = preg_replace($regex,'$1panel-collapse$2',$html);
  $regex = '/(<[^>]*class *= *"[^"])accordion-inner([^>]*>)/im'; 
  $html = preg_replace($regex,'$1panel-body$2',$html);
  $regex = '/(<[^>]*class *= *"[^"])accordion([^>]*>)/im'; 
  $html = preg_replace($regex,'$1panel-group$2',$html);
  $regex = '/(<[^>]*class *= *"[^"])alert-block([^>]*>)/im'; 
  $html = preg_replace($regex,'$1alert$2',$html);
  $regex = '/(<[^>]*class *= *"[^"])pill-content([^>]*>)/im'; 
  $html = preg_replace($regex,'$1tab-content$2',$html);
  $regex = '/(<[^>]*class *= *"[^"])pill-pane([^>]*>)/im'; 
  $html = preg_replace($regex,'$1tab-pane$2',$html);
  $regex = '/(<[^>]*class *= *"[^"])nav-list([^>]*>)/im'; 
  $html = preg_replace($regex,'$1panel-group$2',$html);
  $regex = '/(<[^>]*class *= *"[^"])nav-header([^>]*>)/im'; 
  $html = preg_replace($regex,'$1panel-group$2',$html);
  $regex = '/(<[^>]*class *= *"[^"])help-inline([^>]*>)/im'; 
  $html = preg_replace($regex,'$1help-block$2',$html);
    
	JResponse::setBody($html);
  return;
	}

}

?>

